<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>P48d - tablica zero-jeden</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<header>
    <h1>Zadanie P48d</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="block">
    <p>Napisz program, który tworzy dwuwymiarową tablicę o wymiarach 5 x 5 i wypełnia ją liczbami pseudolosowymi  z zakresu <0,1>, wyświetla tą tablicę z zachowaniem wierszy i kolumn, a następnie:</p>
    <ul>
        <li>wyświetla tę tablicę tak aby wartości 1 i 0 różniły się kolorami,</li>
        <li>oblicza sumy w poszczególnych wierszach i kolumnach,</li>
        <li>tworzy nową tablicę, w której jedynki i zerówki zamieniają się miejscami i również wyświetla ją na ekranie.</li>
    </ul>
</div>
<div class="block">
    <?php
    $tablica2D = [];
    $sumaWierszy = [0, 0, 0, 0, 0];
    $sumaKolumn = [0, 0, 0, 0, 0];
    $nowaTablica = [];
    for ($i = 0; $i < 5; $i++) {
        for ($j = 0; $j < 5; $j++) {
            $tablica2D[$i][$j] = rand(0, 1);
        }
    }
    echo "<table>";
    for ($i = 0; $i < 5; $i++) {
        echo "<tr>";
        for ($j = 0; $j < 5; $j++) {
            if ($tablica2D[$i][$j] == 1) {
                echo "<td class='one'>" . $tablica2D[$i][$j] . "</td>";
            } else {
                echo "<td class='zero'>" . $tablica2D[$i][$j] . "</td>";
            }
            $sumaWierszy[$i] += $tablica2D[$i][$j];
            $sumaKolumn[$j] += $tablica2D[$i][$j];
        }
        echo "</tr>";
    }
    echo "</table>";
    echo "<h3>Suma wierszy:</h3>";
    echo "<ul>";
    for ($i = 0; $i < 5; $i++) {
        echo "<li>Wiersz " . ($i + 1) . ": " . $sumaWierszy[$i] . "</li>";
    }

    echo "</ul>";
    echo "<h3>Suma kolumn:</h3>";
    echo "<ul>";
    for ($i = 0; $i < 5; $i++) {
        echo "<li>Kolumna " . ($i + 1) . ": " . $sumaKolumn[$i] . "</li>";
    }
    echo "</ul>";
    echo "<h3>Nowa tablica:</h3>";
    for ($i = 0; $i < 5; $i++) {
        for ($j = 0; $j < 5; $j++) {
            if ($tablica2D[$i][$j] == 1) {
                $nowaTablica[$i][$j] = 0;
            } else {
                $nowaTablica[$i][$j] = 1;
            }
        }
    }
    echo "<table>";
    for ($i = 0; $i < 5; $i++) {
        echo "<tr>";
        for ($j = 0; $j < 5; $j++) {
            if ($nowaTablica[$i][$j] == 1) {
                echo "<td class='one'>" . $nowaTablica[$i][$j] . "</td>";
            } else {
                echo "<td class='zero'>" . $nowaTablica[$i][$j] . "</td>";
            }
        }
        echo "</tr>";
    }
    echo "</table>";

    ?>
</div>
</body>
</html>